> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pending join requests



## OpenAPI

````yaml get /ranking/join-requests
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /ranking/join-requests:
    get:
      tags:
        - Join Requests
      summary: Get pending join requests
      operationId: getJoinRequests
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  previousPageCursor:
                    type: string
                    description: Cursor for the previous page of results, if any.
                  nextPageCursor:
                    type: string
                    description: Cursor for the next page of results, if any.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        requester:
                          type: object
                          properties:
                            buildersClubMembershipType:
                              type: integer
                              description: >-
                                Type of builders club membership of the
                                requester.
                            hasVerifiedBadge:
                              type: boolean
                              description: >-
                                Indicates whether the requester has a verified
                                badge.
                            userId:
                              type: integer
                              description: The unique identifier of the requester.
                            username:
                              type: string
                              description: Username of the requester.
                            displayName:
                              type: string
                              description: Display name of the requester.
                        created:
                          type: string
                          format: date-time
                          description: The date and time when the join request was created.
                    description: List of join requests.
                title: GetJoinRequestsOk
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  reason:
                    type: string
                    enum:
                      - Join Request management is not enabled for this key
                title: GetJoinRequestsForbidden
      security:
        - ranking_key: []
components:
  securitySchemes:
    ranking_key:
      type: apiKey
      name: api-key
      in: header

````